function task(id,counter) {
  print(id,counter)
  if (counter==2) kill(id)
  return true;
}

function task(id,counter) {
  print(id,counter)
  return counter < 2;
}

var handle1 = later(1000,task);
var handle2 = later(1000,task);
